Name: ltris
Version: 1.0.4
Release: alt1
Serial: 1

Group: Games/Arcade
Summary: Nice tetris clone
URL: http://lgames.sourceforge.net/index.php?project=LTris
License: GPL

Source0: http://download.sourceforge.net/lgames/ltris-%version.tar.bz2
Source5: %{name}16.xpm
Source6: %{name}32.xpm
Source7: %{name}48.xpm
BuildPreReq: libSDL-devel

ExcludeArch: ppc

# Automatically added by buildreq on Tue Jan 15 2002
BuildRequires: aalib esound libalsa2-devel libarts libaudiofile libogg
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_net-devel
BuildRequires: libslang libsmpeg libvorbis XFree86-libs

%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -q

%build
%configure --bindir=%_gamesbindir --with-highscore-path=%{_localstatedir}/games
%make_build

%install
#%%makeinstall sdir=$RPM_BUILD_ROOT%_gamesdatadir/%name hdir=$RPM_BUILD_ROOT%_localstatedir/games/%name bindir=$RPM_BUILD_ROOT%_gamesbindir
#%make install DESTDIR=%buildroot hdir=%buildroot/%_localstatedir/games/%name
%make install DESTDIR=%buildroot

install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%_liconsdir/%name.xpm

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/ltris

?package(%name):command="%_gamesbindir/%name" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="LTris" \
		  longtitle="Nice tetris clone"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%attr(2711, root, games) %_gamesbindir/*
%attr(-, games, games) %_localstatedir/games/%name.hscr
%_gamesdatadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.4-alt1
- new version

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt2
- rebuild with gcc3.2

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.3-alt1
- new version
- fix binary permissions

* Thu Jun 13 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.2-alt1
- new version

* Tue Jan 15 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.0.1-alt1
- new version

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 010310-alt1
- new version

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 001115-ipl2mdk
- fix BuildPreReq

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz> 001115-ipl1mdk
- Build for RE

* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 001115-1mdk
- new version

* Tue Nov 07 2000 David BAUDENS <baudens@mandrakesoft.com> 001017-3mdk
- ExcludeArch: ppc

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 001017-2mdk
- rebuild
- longtitle
- capitalize summary

* Wed Oct 18 2000 Pixel <pixel@mandrakesoft.com> 001017-1mdk
- new version

* Wed Oct  4 2000 Pixel <pixel@mandrakesoft.com> 000705-2mdk
- new icons (thanks to the author Michael Speck)

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000705-1mdk
- initial spec

